﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinToolTip;

namespace WE_SetTooltipOnSpecificButton
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraNumericEditor1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element is EditorButtonSpinScrollButtonUIElement)
            {
                var spinButton = e.Element as EditorButtonSpinScrollButtonUIElement;
                switch (spinButton.Direction)
                {
                    case ScrollButton.Down:
                        ultraToolTipManager1.SetUltraToolTip(ultraNumericEditor1, 
                            new UltraToolTipInfo() { ToolTipText = "Down tooltip" });
                        ultraToolTipManager1.Enabled = true;
                        break;
                    case ScrollButton.Up:
                        ultraToolTipManager1.SetUltraToolTip(ultraNumericEditor1,
                            new UltraToolTipInfo() { ToolTipText = "Up tooltip" });
                        ultraToolTipManager1.Enabled = true;
                        break;
                    default:
                        break;
                }
            }
        }

        private void ultraNumericEditor1_MouseLeaveElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (ultraToolTipManager1.Enabled)
            {
                ultraToolTipManager1.Enabled = false;
            }
        }
    }
}
